class zabbix_agent::zabbix_agentd {

  # Get host entries from hiera
  $puppetheader = hiera('puppetheader', 'Managed by Puppet')

  #$node_hosts_hsh = hiera('hosts::node_hosts_hsh', {})
  #$site_hosts_hsh = hiera('hosts::site_hosts_hsh', {})

  file { "agent_file" :
    ensure => 'present',
    path    => hiera('zabbix_agent::zabbix_agent_path', '/etc/zabbix/zabbix_agentd.conf'),
    content => template(hiera('zabbix_agent::zabbix_tmpl', 'zabbix_agent/zabbix_agentd.conf.erb')),
    owner   => 'zabbix',
    group   => 'zabbix',
    mode    => '0644',
  }

}
